Arbor 3: FSM & BT Graph Editor 3.1.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleRigidbody Class Reference

Class to handle a flexible Rigidbody type reference method there is more than one. More...

## Public Member Functions
| FlexibleRigidbody ()
| FlexibleRigidbody default constructor More...
| FlexibleRigidbody (Rigidbody value)
| FlexibleRigidbody constructor More...
| FlexibleRigidbody (RigidbodyParameterReference parameter)
| FlexibleRigidbody constructor More...
| FlexibleRigidbody (InputSlotRigidbody slot)
| FlexibleRigidbody constructor More...

## Static Public Member Functions
static | operator Rigidbody (FlexibleRigidbody flexible)
| Cast FlexibleRigidbody to Rigidbody. More...
static | operator FlexibleRigidbody (Rigidbody value)
| Cast Rigidbody to FlexibleRigidbody. More...

## Properties
FlexibleType | type`[get]`
| It returns a type More...
Parameter | parameter`[get]`
| It return a Paramter. More...
Rigidbody | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Rigidbody type reference method there is more than one.

## Constructor & Destructor Documentation

FlexibleRigidbody | ( |  | ) |

FlexibleRigidbody default constructor

FlexibleRigidbody | ( | Rigidbody | value | ) |

FlexibleRigidbody constructor

Parameters

  value | Value

FlexibleRigidbody | ( | RigidbodyParameterReference | parameter | ) |

FlexibleRigidbody constructor

Parameters

  parameter | Parameter

FlexibleRigidbody | ( | InputSlotRigidbody | slot | ) |

FlexibleRigidbody constructor

Parameters

  slot | Slot

## Member Function Documentation

static operator FlexibleRigidbody | ( | Rigidbody | value | ) |
| explicit static

Cast Rigidbody to FlexibleRigidbody.

Parameters

  value | Rigidbody

static operator Rigidbody | ( | FlexibleRigidbody | flexible | ) |
| explicit static

Cast FlexibleRigidbody to Rigidbody.

Parameters

  flexible | FlexibleRigidbody

## Property Documentation

Parameter parameter
| get

It return a Paramter.

It is null if Type is other than Parameter.

FlexibleType type
| get

It returns a type

Rigidbody value
| get

It returns a value